<?

if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}

if (isset($user))$ank['id']=$user['id'];

if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);

$ank=get_user($ank['id']);

if (!$ank){header("Location: /foto/?".SID);exit;}

/* Бан пользователя */ 

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'foto' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0)!=0)

{

header('Location: /ban.php?'.SID);exit;

}

$set['title']=$ank['nick'].' - Фотоальбомы'; // заголовок страницы



include_once '../sys/inc/thead.php';

title();



include 'inc/gallery_act.php';

err();

aut();



/*

==================================

Приватность станички пользователя

==================================

*/



	$uSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '$ank[id]'  LIMIT 1"));

	$frend=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0);

	$frend_new=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0);



if ($ank['id'] != $user['id'] && $user['group_access'] == 0)

{



	if (($uSet['privat_str'] == 2 && $frend != 2) || $uSet['privat_str'] == 0) // Начинаем вывод если стр имеет приват настройки

	{

		if ($ank['group_access']>1)echo "<div class='err'>$ank[group_name]</div>\n";

		echo "<div class='nav1'>";

		echo group($ank['id'])." $ank[nick] ";

		echo medal($ank['id'])." ".online($ank['id'])." ";

		echo "</div>";



		echo "<div class='nav2'>";

		avatar_ank($ank['id']);

		echo "</div>";



	}

	

	

	if ($uSet['privat_str'] == 2 && $frend != 2) // Если только для друзей

	{

		echo '<div class="mess">';

		echo 'Просматривать альбомы пользователя могут только его друзья!';

		echo '</div>';

		

		// В друзья

		if (isset($user))

		{

			echo '<div class="nav1">';

			if ($frend_new == 0 && $frend==0){

			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?add=".$ank['id']."'>Добавить в друзья</a><br />\n";

			}elseif ($frend_new == 1){

			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?otm=$ank[id]'>Отклонить заявку</a><br />\n";

			}elseif ($frend == 2){

			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?del=$ank[id]'>Удалить из друзей</a><br />\n";

			}

			echo "</div>";

		}

	include_once '../sys/inc/tfoot.php';

	exit;

	}

	

	if ($uSet['privat_str'] == 0) // Если закрыта

	{

		echo '<div class="mess">';

		echo 'Пользователь запретил просматривать его альбомы!';

		echo '</div>';

		

	include_once '../sys/inc/tfoot.php';

	exit;

	}



}





$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]'"),0);

$k_page=k_page($k_post,$set['p_str']);

$page=page($k_page);

$start=$set['p_str']*$page-$set['p_str'];



include 'inc/gallery_form.php'; // Создание альбомов



echo "<div class=\"foot\">\n";

echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$ank[id]'>$ank[nick]</a> | \n";

echo "<b>Альбомы</b>\n";

if ($ank['id']==$user['id'])echo " | <a href='/foto/$ank[id]/?act=create'>Создать</a>";

echo "</div>\n";







echo "<table class='post'>\n";

if ($k_post==0)

{

echo '<div class="mess">';

echo "Фотоальбомов нет\n";

echo "  </div>\n";

}





$q=mysql_query("SELECT * FROM `gallery` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_assoc($q))

{

/*-----------зебра-----------*/ 

if ($num==0){

	echo '<div class="nav2">';

	$num=1;

}

elseif ($num==1){

	echo '<div class="nav1">';

	$num=0;

}

/*---------------------------*/

	$foto = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$post[id]' ORDER BY RAND()"));

	$gallery = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$foto[id_gallery]' limit 1"));



	echo "<img src='/style/themes/$set[set_them]/loads/14/dir.png' alt='*' /> ";

	echo "<a href='/foto/$ank[id]/$post[id]/'>" . htmlspecialchars($post['name']) . "</a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$post[id]'"),0)." фото) \n";

	

	if (user_access('foto_alb_del') || isset($user) && $user['id']==$ank['id']){

		echo "[<a href='/foto/$ank[id]/$post[id]/?edit=rename'><img src='/style/icons/edit.gif' alt=''/> ред</a>] \n";

		echo "[<a href='/foto/$ank[id]/$post[id]/?act=delete'><img src='/style/icons/delete.gif' alt=''/> удл</a>]\n";

	}

echo '<br />';

if ($post['opis']==null)

echo "Без описания<br />\n";

else 

echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['opis']))))))))."<br />\n";

echo "Создан: ".vremja($post['time_create']);

echo "</div>\n";

}

echo "</table>\n";









if ($k_page>1)str('?',$k_page,$page); // Вывод страниц









echo "<div class=\"foot\">\n";

echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$ank[id]'>$ank[nick]</a> | \n";

echo "<b>Альбомы</b>\n";

echo "</div>\n";



include_once '../sys/inc/tfoot.php';

exit;

?>